AnsweredAssumed Answered

Multiple Versions of SQL Drivers - How does Arc Decide?

Question asked by chindokae@gmail.com on Apr 4, 2017

We have multiple SQL geodatabase servers that we connect to with Arc Map 10.3.1, ranging from SQL 2008R2 to SQL 2016.  We can't control the versions of the SQL servers, some of them are at client sites.   Our users' workstations currently have at a minimum the SQL Native client 11 and ODBC 13 drivers installed.  I am having some trouble getting Arc to pick the right driver for the server version being connected to.   We need to use ODBC for 2014 and 2016, but Native Client to connect to 2012 and 2008 servers.

 

We have other applications that require Native Client so we can't just remove it.

 

Is there a way to get Arc products to use the driver that matches the server?   I only see a choice for picking SQL, not which version of SQL or which driver.

Outcomes